# ProjectNotificationsSettings Object

## Description

Notification settings for a project.

## Properties

### accountNotifications

Indicates whether account-level notifications should be allowed or blocked for this project.

Type: `string`

Valid Values:

* `allow`
* `block`

### notifications

List of notifications for this project.

Type: Array of [ProjectNotification](/data-types/projectnotification-object.md) objects

## Sample JSON

```javascript
{
    "accountNotifications": "allow",
    "notifications": [
        {
            "ProjectNotificationId": "pn-12345678",
            "createdDate": "2023-01-26T00:00:00Z",
            "lastModifiedDate": "2023-01-26T00:00:00Z",
            "lastModifiedBy": "u-12345678",
            
            "notificationMethod": "email",
            "notificationLevel": "errors-only",
            "emailSettings": {
                "emailAddresses": [
                    "user1@example.com",
                    "user2@example.com"
                ]
            }
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/projectnotificationssettings-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
